Consumer Intelligence Sandbox Service (1.0.0)

Download OpenAPI specification:

A service adding test capabilities to Consumer Intelligence sandbox

List created sandbox persons Beta

List all created sandbox persons

Authorizations:
apikey
query Parameters
afterGedi
string
limit
integer <int32>

Create or update a sandbox person

Creates a missing, or updates an existing, sandbox person with the values of the parameters passed. The person will only be accessible to you, and must be deleted according to your agreement contracts after a given time.

Authorizations:
apikey
Request Body schema: application/json
required
id
required
string or null [ 0 .. 15 ] characters

Your provided id of the sandbox person. Maximum 15 characters.

country
required
string or null^[A-Z]{2}$

Country code in ISO 3166-1 alpha-2 of this person.

legalId
string or null [ 0 .. 100 ] characters
socialSecurityNumberTemporary
boolean

Indicates whether the social security number is temporary (true) or permanent (false).

SocialSecurityNumberValidityPeriod (object) or null
diplomaticImmunity
boolean or null
Array of objects or null (LegalId)
firstName
string or null [ 0 .. 100 ] characters

To use firstName, firstNames must be null

firstNames
Array of strings or null [ 0 .. 10 ] items

To use firstNames, firstName must be null

preferredFirstName
string or null [ 0 .. 100 ] characters
shortenedFullName
string or null [ 0 .. 36 ] characters
familyName
string or null [ 0 .. 100 ] characters
additionalName
string or null [ 0 .. 100 ] characters
dateOfBirth
required
string or null <date>

Date the person was born. In Sandbox the person may be under-age, but under-age persons can only be retrieved by Gedi and not searched for

dateOfDeath
string or null <date>

Date the person died. Must be greater than dateOfBirth.

yearOfDeath
integer or null <int32> >= 0
monthOfDeath
integer or null <int32>
dayOfDeath
integer or null <int32>
sex
string or null
Enum: "Male" "Female" "Other" "Unknown"
gender
string or null
Enum: "Male" "Female" "Other" "Unknown"

If 'gender' is not provided, fallback to value provided in sex.

Array of objects or null (Address)
Array of objects or null (Telephone)
removed
boolean
deregisteredReason
string or null
deregistered
boolean

Whether the person is deregistered from source (i.e. moved abroad).

deregisteredDate
string or null <date>
deregisteredYear
integer or null <int32> >= 0
deregisteredMonth
integer or null <int32>
deregisteredDay
integer or null <int32>
protectedIdentity
boolean

The person has protected identity.

directMarketingRestriction
boolean or null

Indicates if there is a restriction on the person for direct marketing in all communication channels. For example postal, phone, e-mail, etc.

charityMarketingRestriction
boolean or null

Indicates if a charity organization is allowed to contact the person for direct marketing reasons. This overrides any other marketing restrictions if true for charity organizations.

legalCapacityRestriction
string or null
Enum: "FULL_RESTRICTION" "LIMITED_RESTRICTION" "NO_RESTRICTION"

Indicates if there is a restriction on the person from being used for online marketing.

onlineMarketingRestriction
boolean or null
SeeOtherReference (object) or null
citizenship
Array of strings or null
futureAuthorization
boolean or null
identificationClaim
boolean or null
Array of objects or null (Relationship)

Request samples

Content type
application/json
{
  • "id": "string",
  • "country": "string",
  • "legalId": "string",
  • "socialSecurityNumberTemporary": true,
  • "socialSecurityNumberValidityPeriod": {
    },
  • "diplomaticImmunity": true,
  • "deprecatedLegalIds": [
    ],
  • "firstName": "string",
  • "firstNames": [
    ],
  • "preferredFirstName": "string",
  • "shortenedFullName": "string",
  • "familyName": "string",
  • "additionalName": "string",
  • "dateOfBirth": "2019-08-24",
  • "dateOfDeath": "2019-08-24",
  • "yearOfDeath": 0,
  • "monthOfDeath": 0,
  • "dayOfDeath": 0,
  • "sex": "Male",
  • "gender": "Male",
  • "addressList": [
    ],
  • "phoneList": [
    ],
  • "removed": true,
  • "deregisteredReason": "string",
  • "deregistered": true,
  • "deregisteredDate": "2019-08-24",
  • "deregisteredYear": 0,
  • "deregisteredMonth": 0,
  • "deregisteredDay": 0,
  • "protectedIdentity": true,
  • "directMarketingRestriction": true,
  • "charityMarketingRestriction": true,
  • "legalCapacityRestriction": "FULL_RESTRICTION",
  • "onlineMarketingRestriction": true,
  • "merged": {
    },
  • "citizenship": [
    ],
  • "futureAuthorization": true,
  • "identificationClaim": true,
  • "relationshipList": [
    ]
}

Delete a sandbox person

    Delete a previously provided sandbox person.

This endpoint should be used for all persons you have added to BCI after retention period as specified in your agreement contract.

Deleting a sandbox person is an irreversible operation. No traces of the person will be stored in our systems after a deletion. If you are monitoring this person your monitoring list might be in an inconsistent state.

Authorizations:
apikey
Request Body schema: application/json
required
id
required
string or null [ 0 .. 15 ] characters

Your provided id of an already imported sandbox person. Maximum 15 characters.

Request samples

Content type
application/json
{
  • "id": "string"
}

Trigger a life event Beta

Triggers a life event for the specified person. This is a Beta endpoint

Authorizations:
apikey
Request Body schema: application/json
required
id
string [ 0 .. 15 ] characters

Your provided id of the sandbox person. Maximum 15 characters.

trigger
string
Enum: "HOUSEHOLD_MOVE_PREDICTION" "HOUSEHOLD_MOVE" "HOUSEHOLD_MOVE_6" "HOUSEHOLD_MOVE_12" "MOVE_FROM_HOUSE_TO_APARTMENT" "MOVE_FROM_HOUSE_TO_APARTMENT_6" "MOVE_FROM_HOUSE_TO_APARTMENT_12" "MOVE_FROM_APARTMENT_TO_HOUSE" "MOVE_FROM_APARTMENT_TO_HOUSE_6" "MOVE_FROM_APARTMENT_TO_HOUSE_12" "MOVE_URBANIZATION" "MOVE_URBANIZATION_6" "MOVE_URBANIZATION_12" "SINGLE_TO_COUPLE" "SINGLE_TO_COUPLE_6" "SINGLE_TO_COUPLE_12"

The life event to trigger.

Request samples

Content type
application/json
{
  • "id": "string",
  • "trigger": "HOUSEHOLD_MOVE_PREDICTION"
}